| hoogle | Source code | Contents | Index

Hoogle.Query.Type

Documentation

data Query | Source

Constructors

Query |

scope :: [Scope] |
names :: [String] |
typeSig :: Maybe TypeSig |
flags :: [Flag] |

Instances

Eq Query
Show Query

data Scope | Source

Constructors

PlusPackage String |
MinusPackage String |
PlusModule [String] |
MinusModule [String] |

Instances

Eq Scope
Read Scope
Show Scope

data Flag | Source

Constructors

Flag String String |

Instances

Eq Flag
Read Flag
Show Flag

transformQueryType :: (Type -> Type) -> Query -> Query | Source

universeQueryType :: Query -> [Type] | Source

Produced by Haddock version 2.4.2